v_mix: XV_Mix_l2 Struct Reference

| v_mix Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_Mix_l2 Struct Reference
V_mix_v3_0

Mixer driver Layer 2 data. More...

## Data Fields
XV_mix | Mix
| Mixer Layer 1 instance data. More...
XVMix_Callback | FrameDoneCallback
| Callback for frame processing done. More...
void * | CallbackRef
| To be passed to the connect interrupt callback. More...
XVMix_Layer | Layer [XVMIX_MAX_SUPPORTED_LAYERS]
| Layer configuration structure. More...
XVidC_VideoStream | Stream
| Input AXIS. More...

## Detailed Description

Mixer driver Layer 2 data.

The user is required to allocate a variable of this type for every mixer device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

void* XV_Mix_l2::CallbackRef

To be passed to the connect interrupt callback.

Referenced by XVMix_InterruptHandler(), and XVMix_SetCallback().

XVMix_Callback XV_Mix_l2::FrameDoneCallback

Callback for frame processing done.

Referenced by XVMix_InterruptHandler(), and XVMix_SetCallback().

XVMix_Layer XV_Mix_l2::Layer[XVMIX_MAX_SUPPORTED_LAYERS]

Layer configuration structure.

Referenced by XVMix_LoadLogo(), XVMix_MoveLayerWindow(), XVMix_SetLayerBufferAddr(), XVMix_SetLayerChromaBufferAddr(), and XVMix_SetLayerWindow().

XV_mix XV_Mix_l2::Mix

Mixer Layer 1 instance data.

Referenced by XVMix_DbgLayerInfo(), XVMix_DbgReportStatus(), XVMix_GetLayerAlpha(), XVMix_GetLayerBufferAddr(), XVMix_GetLayerChromaBufferAddr(), XVMix_GetLayerColorFormat(), XVMix_GetLayerScaleFactor(), XVMix_GetLayerWindow(), XVMix_GetLogoColorKey(), XVMix_Initialize(), XVMix_InterruptDisable(), XVMix_InterruptEnable(), XVMix_InterruptHandler(), XVMix_IsLayerEnabled(), XVMix_LayerDisable(), XVMix_LayerEnable(), XVMix_LoadLogo(), XVMix_LoadLogoPixelAlpha(), XVMix_MoveLayerWindow(), XVMix_SetBackgndColor(), XVMix_SetLayerAlpha(), XVMix_SetLayerBufferAddr(), XVMix_SetLayerChromaBufferAddr(), XVMix_SetLayerScaleFactor(), XVMix_SetLayerWindow(), XVMix_SetLogoColorKey(), XVMix_SetVidStream(), XVMix_Start(), and XVMix_Stop().

XVidC_VideoStream XV_Mix_l2::Stream

Input AXIS.

Referenced by XVMix_DbgLayerInfo(), XVMix_MoveLayerWindow(), XVMix_SetLayerScaleFactor(), XVMix_SetLayerWindow(), and XVMix_SetVidStream().